Er mogen op dit forum GEEN verzoekjes of requests gevraagd worden, dit staat ook in de regels die je accepteert bij het registreren op dit forum, hiervoor krijg je direct een permanente ban.

[SOLVED] SpotWeb v0.68.33.34 icm PHP v7.4.27 crashed

Stel hier je vragen of discussiëer over Spotweb.

Moderator: Moderator Team

Forumregels
LEES: Forum Regels!
Gebruikersavatar

Topicstarter
jojo2005
Berichten: 31
Lid geworden op: 20 feb 2011, 12:32
Reputation: 0

[SOLVED] SpotWeb v0.68.33.34 icm PHP v7.4.27 crashed

#1

Bericht door jojo2005 »

Ik heb sinds korte tijd een probleem met Spotweb.
Heb deze versie dmv 'git clone https://github.com/spotweb/spotweb.git' geïnstalleerd, met daarna een 'git pull' commando (allready up to date).

Als ik het retrieve.php script start, krijg ik onderstaande foutmelding

Fatal error occured retrieving reports:
HY000: 1785: Statement violates GTID consistency: Updates to non-transactional tables can only be done in either autocommitted statements or single-statement transactions, and never in the same statement as updates to transactional tables.

#0 /zroot/websites/spotweb/lib/dbeng/dbeng_pdo.php(86): dbeng_pdo->exec('DELETE FROM spo...', Array)
#1 /zroot/websites/spotweb/lib/dao/Mysql/Dao_Mysql_Spot.php(56): dbeng_pdo->modify('DELETE FROM spo...')
#2 /zroot/websites/spotweb/lib/services/Retriever/Services_Retriever_Spots.php(635): Dao_Mysql_Spot->removeSpots(Array)
#3 /zroot/websites/spotweb/lib/services/Retriever/Services_Retriever_Base.php(238): Services_Retriever_Spots->process(Array, '7156827', 7161828, 1641726063.2681)
#4 /zroot/websites/spotweb/lib/services/Retriever/Services_Retriever_Base.php(339): Services_Retriever_Base->loopTillEnd(7161828, '5000')
#5 /zroot/websites/spotweb/retrieve.php(142): Services_Retriever_Base->perform()
#6 {main}

Kan iemand mij vertellen wat er aan de hand is en hoe ik dit kan oplossen? Heb zelf het idee dat er een wijziging is van de database bij spotnet, zou dat kunnen? Dank.
Laatst gewijzigd door jojo2005 op 09 jan 2022, 17:58, 1 keer totaal gewijzigd.
-- Don't follow the crowd, let the crowd follow you.
Neem je online privacy serieus en gebruik een VPN verbinding!

Met een VPN verbinding van IPVanish wordt uw gehele internet verbinding versleuteld

U kunt dus veilig browsen, Torrents downloaden, Usenet downloaden en onderling versleutelde verbindingen opzetten.



UsenetDude
Berichten: 128
Lid geworden op: 27 dec 2011, 13:54
Topics answered: 1
Reputation: 2
Usenet: XSnews
Internet: Kwello
Locatie: Usenet
Contacteer:

Re: SpotWeb v0.68.33.34 icm PHP v7.4.27 crashed

#2

Bericht door UsenetDude »

Je mist denk een PDO instelling die niet aanstaat in php.

PHP v5.6 or higher, with at least these modules:

curl
dom
gettext
mbstring
xml
zip
zlib
gd
openssl
Je kan een gratis nieuwsserver proberen maar die is lang niet zo goed als een betaalde nieuwsserver! Kan je iets niet vinden gebruik binsearch
Gebruikersavatar

Topicstarter
jojo2005
Berichten: 31
Lid geworden op: 20 feb 2011, 12:32
Reputation: 0

Re: SpotWeb v0.68.33.34 icm PHP v7.4.27 crashed

#3

Bericht door jojo2005 »

Thanks, maar helaas... Werk met php7.4.27. Had totop eergisteren geen enkel probleem met spotweb.
php.ini nog even gechecked maar alles ok. Zal nog eens in het Github forum rondneuzen...
-- Don't follow the crowd, let the crowd follow you.
Gebruikersavatar

Topicstarter
jojo2005
Berichten: 31
Lid geworden op: 20 feb 2011, 12:32
Reputation: 0

Re: SpotWeb v0.68.33.34 icm PHP v7.4.27 crashed

#4

Bericht door jojo2005 »

Het probleem werd veroorzaakt door binary logging, die in MySQL 8 standaard aan staat.
@ https://dba.stackexchange.com/questions ... ble/226944
Bedankt voor jullie meedenken!
-- Don't follow the crowd, let the crowd follow you.
Plaats reactie Vorig onderwerpVolgend onderwerp
Spot-net.nl Forums : Disclaimer